# -*- coding: utf-8 -*-
from setuphelpers import *

# Defining variables
app_name = "CudaText"
app_dir = makepath(programfiles, app_name)
app_settings = makepath(app_dir, "settings")


def install():
    # Initializing variables
    package_version = control.version.split("-", 1)[0]
    bin_name = "cudatext-win-x64-%s.zip" % package_version
    processes_to_kill = control.impacted_process.split(",")

    # Installing the package
    print("Installing: %s" % bin_name)
    killalltasks(processes_to_kill)
    if isdir(app_dir):
        remove_tree(app_dir)
    unzip(bin_name, target=app_dir)
    mkdirs(app_settings)
    run(f'icacls "{app_settings}" /grant *S-1-5-32-545:(OI)(CI)(RX,W)')
    create_programs_menu_shortcut(app_name, makepath(app_dir, "cudatext.exe"))


def uninstall():
    # Uninstalling the package
    remove_tree(app_dir)
    remove_programs_menu_shortcut(app_name)